Link to home
Start Free TrialLog in
Avatar of chalie001
chalie001

asked on

error in angular

hi am having this error
User generated image
ASKER CERTIFIED SOLUTION
Avatar of David Johnson, CD
David Johnson, CD
Flag of Canada image

Link to home
membership
This solution is only available to members.
To access this solution, you must be a member of Experts Exchange.
Start Free Trial
There is nothing wrong with the code I can see.

It might be that your tsconfig settings are not right. Can you post your tsconfig file.

Also take a look at this thread and see if that discusses your problem
https://stackoverflow.com/questions/58329178/the-syntax-requires-an-imported-helper-named-spreadarrays

The above article suggests udpating tslib to > 1.09

npm install tslib

And this post
https://stackoverflow.com/questions/52801814/this-syntax-requires-an-imported-helper-but-module-tslib-cannot-be-found-wit/53818521

Which suggest that the modules resolution is incorrect and should be
"module": "es2015",
"moduleResolution": "node", ...

Open in new window


he needs at least version 10 for spread array syntax checking.